| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes
openni::YUV422DoublePixel Struct Reference

`#include <OpenNI.h>`

List of all members.

## Public Attributes

uint8_t | u
uint8_t | v
uint8_t | y1
uint8_t | y2

## Detailed Description

Holds the value of two pixels in YUV422 format (Luminance/Chrominance,16-bits/pixel). The first pixel has the values y1, u, v. The second pixel has the values y2, u, v.

## Member Data Documentation

uint8_t openni::YUV422DoublePixel::u

First chrominance value for two pixels, stored as blue luminance difference signal.

uint8_t openni::YUV422DoublePixel::v

Second chrominance value for two pixels, stored as red luminance difference signal.

uint8_t openni::YUV422DoublePixel::y1

Overall luminance value of first pixel.

uint8_t openni::YUV422DoublePixel::y2

Overall luminance value of second pixel.

The documentation for this struct was generated from the following file:

- OpenNI.h